Echo Off
:Loop
Echo   The Runtime Library, LLIBFOR7.LIB, contained  within ARTIST3.EXE
Echo   and ODDART.EXE is a portion of the Microsoft(R) FORTRAN Compiler
Echo   and is (C)Copyright by the Microsoft Corporation, 1982 - 1991.
Echo *************************    Remember    *********************
Echo ***               To Exit DARTIST3 Programs                ***
Echo ***          1. You must be in ALT-2 mode.!!               ***
Echo ***          2. Type EXIT Enter stops DARTIST3.            ***
Echo **************************************************************

echo Checking for new DARTIST3.EXE program.
if not exist \AUX2DPS\DARTIST3.NEW echo No new DARTIST3.EXE program.
if not exist \AUX2DPS\DARTIST3.NEW goto NoNew
echo Moving \Aux2Dps\Dartist3.New to \Artist3\Dartist3.exe
move /Y \AUX2DPS\DARTIST3.NEW \ARTIST3\DARTIST3.EXE
:NoNew

echo LOADING DUMMY ARTIST PROGRAM
Save61 /S
rem See remarks at end for new 22 Oct 97 exit codes from Dartist3.
Dartist3 Armenu.Onl
if errorlevel 9 GoTo Restart
if errorlevel 7 GoTo ManuExit
GoTo ErrExit

:Restart
Save61 /R
GoTo Loop

:ErrExit
Save61 /R
rem  SCR_DMP
Echo *********  Error or Remote Reset Exit DARTIST3 Program  **********
Echo ***                                                            ***
Echo ***    ERROR EXIT FROM DARTIST3                                ***
Echo ***           If you don't hit a key within 5 seconds          ***
Echo ***                 the computer will RESET.!!!!               ***
Echo ***                                                            ***
Echo ***        1. Make sure you are in ALT-2 mode                  ***
Echo ***        2. Hit any key to get DOS prompt.                   ***
Echo ***        3. Type ACUTIME(Trimble) at DOS prompt to check     ***
Echo ***           GPS time.                                        ***
Echo ***        4. Type RESTART at DOS prompt to restart DARTIST    ***
Echo ***           program.                                         ***
Echo ******************************************************************
Cterm /N/5
If errorlevel 2 Goto Loop
If errorlevel 1 Goto End
Reset

:ManuExit
Save61 /R
Echo *********************  Exit DARTIST3 Program  ********************
Echo ***           If you don't hit a key within 20 seconds         ***
Echo ***                 the computer will RESET.!!!!               ***
Echo ***                                                            ***
Echo ***        1. Make sure you are in ALT-2 mode                  ***
Echo ***        2. Hit any key to get DOS prompt.                   ***
Echo ***        3. Type ACUTIME(Trimble) at DOS prompt to check     ***
Echo ***           GPS time.                                        ***
Echo ***        4. Type RESTART at DOS prompt to restart DARTIST    ***
Echo ***           program.                                         ***
Echo ******************************************************************
Cterm /N/20
If errorlevel 2 Goto Loop
If errorlevel 1 Goto End
Reset

rem  as of 22 Oct 97, new EXIT codes from DARTIST3.EXE
rem  0   math error                         immediate reset
rem  1   E: drive full or inaccessible      immediate reset
rem  2   Remote <RESET> with message.rem    immediate reset
rem  3   data error                         immediate reset
rem  7   Manual exit from DARTIST3          wait 20 seconds, then reset
rem  9   Remote <RESTART> with message.rem  immediate restart

:End

